Hello cjl,

c> OK:

c> If I type irb I get the error message I described in my previous post.

c> If I type irb and then <tab> for command completion, I see there is
c> both irb and irb.bat, and irb.bat works.

c> Also, somehow the one-click installer /bin directory got automatically
c> added to my cygwin path. How did that happen?

c> -cjl

One Click Installer has now implemented the stupid idea to register
the global environment variable "RUBYOPT" which loads the rubygems.
This is for all ruby interpreters on your system. Even if they
are older 1.8.1 systems (which do not support rubygems by default).

The idea is really bad and one more sign that ruby is a little bit
immature at the moment. If rubygems is such a good project (and i
think it is), someone should integrate this into the ruby.exe file
instead overloading 'require' with the current quick and dirty
hack.

For you the advise: do a "export RUBYOPT=" and everything should work
again.



-- 
 Best regards,                        emailto: scholz at scriptolutions dot com
 Lothar Scholz                        http://www.ruby-ide.com
 CTO Scriptolutions                   Ruby, PHP, Python IDE 's